package org.example.Entity.Control.Container;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.example.Entity.Control.Panel.Panel;
import org.example.Utils.MD5Util;


/**
 * ==============================================================================
 * 功能描述：ChartContainer
 * ==============================================================================
 */
public class ChartContainer extends Panel {

    public ChartContainer() {
        super();
        this.defaultXtype = "plugins.PubChart.ChartFormater";
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public String ModuleId;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public String DetailId;

    private String _s;
    private String _ens;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public String getS() {
        if (_ens == null && _s != null && !_s.isEmpty()) {
            _ens = MD5Util.encrypt(_s);
        }
        return _ens;
    }

    public void setS(String value) {
        _s = value;
        _ens = null;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public Object ChartCfg;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public Object RightMenu;
    
    public Integer displayRows;


}

